import AxiosError from "../core/AxiosError.mjs";
import utils from "../utils.mjs";
function CanceledError(message, config, request) {
  AxiosError.call(this, message == null ? "canceled" : message, AxiosError.ERR_CANCELED, config, request);
  this.name = "CanceledError";
}
utils.inherits(CanceledError, AxiosError, {
  __CANCEL__: true
});
export {
  CanceledError as default
};
